

#include "BUILTIN.h"

#include "Denotation.h"
extern OBJ _AStringFormat_1(OBJ,OBJ);extern OBJ __AStringFormat_1;
extern OBJ _ABTUnion_27(OBJ,OBJ);extern OBJ __ABTUnion_27;
extern OBJ _ABTUnion_34(OBJ);extern OBJ __ABTUnion_34;
extern OBJ _ACom_47(OBJ,OBJ);extern OBJ __ACom_47;
extern OBJ _AOcStream_1(OBJ,OBJ);extern OBJ __AOcStream_1;
extern OBJ _AOcStream_3(OBJ,OBJ);extern OBJ __AOcStream_3;
extern OBJ _AOcStream_4(OBJ,OBJ,OBJ);extern OBJ __AOcStream_4;
extern OBJ _AOcStream_6(OBJ,OBJ,OBJ);extern OBJ __AOcStream_6;
extern OBJ _APreparedOptions_26(OBJ);extern OBJ __APreparedOptions_26;
extern OBJ _APreparedOptions_27(OBJ);extern OBJ __APreparedOptions_27;
extern OBJ _AComCompose_5(OBJ,OBJ);extern OBJ __AComCompose_5;
extern OBJ _AComCompose_6(OBJ,OBJ);extern OBJ __AComCompose_6;
extern OBJ _AComSeqReduce_4(OBJ,OBJ,OBJ);extern OBJ __AComSeqReduce_4;
extern OBJ _AIc_27(OBJ);extern OBJ __AIc_27;
extern OBJ _AIc_28(OBJ);extern OBJ __AIc_28;
extern OBJ _AIc_30(OBJ);extern OBJ __AIc_30;
extern OBJ _AIc_32(OBJ);extern OBJ __AIc_32;
extern OBJ _AIc_39(OBJ);extern OBJ __AIc_39;

#include "Nat.h"
extern OBJ _ASeqReduce_3(OBJ,OBJ,OBJ);extern OBJ __ASeqReduce_3;
extern OBJ __ASeq_6;
extern OBJ _ASeq_42(OBJ,OBJ);extern OBJ __ASeq_42;
extern TUP2 _ASeqFilter_5(OBJ,OBJ);extern OBJ __ASeqFilter_5;
extern OBJ _ASeqSort_2(OBJ,OBJ);extern OBJ __ASeqSort_2;
extern OBJ _AIde_14(OBJ,OBJ);extern OBJ __AIde_14;
extern OBJ __AOcVerbose_1;
extern OBJ __AOcVerbose_3;
extern OBJ _AOcVerbose_4(OBJ,OBJ,OBJ);extern OBJ __AOcVerbose_4;
extern OBJ _AIcFun_3(OBJ,OBJ);extern OBJ __AIcFun_3;
extern OBJ _AIcFun_4(OBJ,OBJ);extern OBJ __AIcFun_4;
extern OBJ _ABoxedText_20(OBJ,OBJ,OBJ);extern OBJ __ABoxedText_20;
extern OBJ _AGenObj_1(OBJ,OBJ,OBJ);extern OBJ __AGenObj_1;
extern OBJ _AGenObj_2(OBJ,OBJ,OBJ);extern OBJ __AGenObj_2;
extern OBJ _AGenObj_3(OBJ,OBJ,OBJ);extern OBJ __AGenObj_3;
extern OBJ _AGenObj_4(OBJ,OBJ,OBJ);extern OBJ __AGenObj_4;
extern OBJ _AGenObj_5(OBJ,OBJ,OBJ);extern OBJ __AGenObj_5;
extern OBJ _AGenObj_6(OBJ,OBJ,OBJ);extern OBJ __AGenObj_6;
extern OBJ _AGenObj_7(OBJ,OBJ,OBJ);extern OBJ __AGenObj_7;
extern OBJ _AGenObj_8(OBJ,OBJ,OBJ,OBJ);extern OBJ __AGenObj_8;
extern OBJ _AGenObj_9(OBJ,OBJ);extern OBJ __AGenObj_9;
extern OBJ _AGenObj_10(OBJ,OBJ,OBJ);extern OBJ __AGenObj_10;
extern OBJ _AGenObj_11(OBJ,OBJ);extern OBJ __AGenObj_11;
extern OBJ _AGenObj_13(OBJ,OBJ);extern OBJ __AGenObj_13;
extern OBJ _AGenObj_14(OBJ,OBJ);extern OBJ __AGenObj_14;
extern OBJ _AGenObj_15(OBJ,OBJ);extern OBJ __AGenObj_15;
extern OBJ _AGenObj_16(OBJ,OBJ);extern OBJ __AGenObj_16;
extern OBJ _AGenObj_17(OBJ,OBJ);extern OBJ __AGenObj_17;
extern OBJ _AString_49(OBJ);extern OBJ __AString_49;
extern TUP2 _AInitOrder_1(OBJ,OBJ);extern OBJ __AInitOrder_1;
extern OBJ _ACalcEvalMethods_1(OBJ,OBJ);extern OBJ __ACalcEvalMethods_1;
extern OBJ __AVoid_2;
extern OBJ _AGenEvalMethod_1(OBJ,OBJ);extern OBJ __AGenEvalMethod_1;

#include "Real.h"

#include "Char.h"

#include "Bitset.h"

#include "Int.h"

#include "Array.h"
extern OBJ __AMacros_196;
extern OBJ _AOcOptions_4(OBJ);extern OBJ __AOcOptions_4;
extern OBJ _AOcOptions_24(OBJ);extern OBJ __AOcOptions_24;
extern OBJ _AOcOptions_25(OBJ);extern OBJ __AOcOptions_25;
extern OBJ _AOcOptions_26(OBJ);extern OBJ __AOcOptions_26;
extern OBJ _AOcOptions_27(OBJ);extern OBJ __AOcOptions_27;
extern OBJ _AGenerate_1(OBJ,OBJ,OBJ);OBJ __AGenerate_1; /* generate */
OBJ __AGenerate_2; /* codingSchemeVersion */
extern OBJ _AGenerate_4(OBJ,OBJ,OBJ,OBJ);OBJ __AGenerate_4; /* genCFile */
extern OBJ _AGenerate_5(OBJ);OBJ __AGenerate_5; /* anyMod */
extern OBJ _AGenerate_6(OBJ,OBJ,OBJ,OBJ,OBJ);OBJ __AGenerate_6; /* footer */
extern OBJ _AGenerate_7(OBJ,OBJ,OBJ);OBJ __AGenerate_7; /* methods */
extern OBJ _AGenerate_8(OBJ,OBJ,OBJ);OBJ __AGenerate_8; /* decs */
extern OBJ _AGenerate_9(OBJ,OBJ,OBJ,OBJ,OBJ);OBJ __AGenerate_9; /* externDecs */
extern OBJ _AGenerate_10(OBJ,OBJ,OBJ,OBJ);OBJ __AGenerate_10; /* procs */
extern OBJ _AGenerate_11(OBJ,OBJ,OBJ,OBJ);OBJ __AGenerate_11; /* constaux */
extern OBJ _AGenerate_12(OBJ);OBJ __AGenerate_12; /* anyObj */
extern OBJ _AGenerate_13(OBJ);OBJ __AGenerate_13; /* implementedProc? */
extern OBJ _AGenerate_14(OBJ);OBJ __AGenerate_14; /* unimplementedProc? */
extern OBJ _AGenerate_15(OBJ);OBJ __AGenerate_15; /* implementedConst? */
extern OBJ _AGenerate_16(OBJ);OBJ __AGenerate_16; /* noStrictHalt */
extern OBJ _AGenerate_17(OBJ);OBJ __AGenerate_17; /* noStrictHaltOrWarn */
extern OBJ _AGenerate_18(OBJ);OBJ __AGenerate_18; /* sortById */
extern OBJ _AGenerate_19(OBJ,OBJ);OBJ __AGenerate_19; /* genHFile */
extern OBJ _AGenerate_20(OBJ,OBJ,OBJ);OBJ __AGenerate_20; /* genHcCFileTmpl */
extern OBJ _AGenerate_21(OBJ,OBJ);OBJ __AGenerate_21; /* genHcHFileTmpl */
extern OBJ _AGenerate_22(OBJ);OBJ __AGenerate_22; /* anyExternal? */
extern OBJ _AGenerate_23(OBJ);OBJ __AGenerate_23; /* anyInternal? */
extern OBJ _AGenerate_24(OBJ);OBJ __AGenerate_24; /* anyExternalProc? */
extern OBJ _AGenerate_25(OBJ);OBJ __AGenerate_25; /* anyInternalProc? */
extern OBJ _AGenerate_26(OBJ,OBJ);OBJ __AGenerate_26; /* close */
extern OBJ _AGenerate_27(OBJ,OBJ,OBJ,OBJ);OBJ __AGenerate_27; /* methods'27 */
extern OBJ _AGenerate_28(OBJ,OBJ,OBJ);OBJ __AGenerate_28; /* footer'28 */
extern OBJ _AGenerate_29(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ);OBJ __AGenerate_29; /* footer'29 */
extern OBJ _AGenerate_30(OBJ,OBJ);OBJ __AGenerate_30; /* sortById'30 */
extern OBJ _AGenerate_31(OBJ,OBJ,OBJ,OBJ,OBJ);OBJ __AGenerate_31; /* decs'31 */
OBJ __AGenerate_32; /* externDecs'32 */
extern OBJ _AGenerate_33(OBJ);OBJ __AGenerate_33; /* externDecs'33 */
extern OBJ _AGenerate_34(OBJ,OBJ,OBJ,OBJ,OBJ);OBJ __AGenerate_34; /* externDecs'34 */
extern OBJ _AGenerate_35(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ);OBJ __AGenerate_35; /* procs'35 */
extern OBJ _AGenerate_36(OBJ,OBJ,OBJ,OBJ,OBJ);OBJ __AGenerate_36; /* procs'36 */
extern OBJ _AGenerate_37(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ);OBJ __AGenerate_37; /* constaux'37 */
extern OBJ _AGenerate_38(OBJ,OBJ,OBJ,OBJ,OBJ);OBJ __AGenerate_38; /* constaux'38 */
extern OBJ _AGenerate_39(OBJ,OBJ,OBJ,OBJ);OBJ __AGenerate_39; /* genCFile'39 */
extern OBJ _AGenerate_40(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ);OBJ __AGenerate_40; /* genCFile'40 */
extern OBJ _AGenerate_41(OBJ,OBJ,OBJ);OBJ __AGenerate_41; /* genCFile'41 */
extern OBJ _AGenerate_42(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ);OBJ __AGenerate_42; /* genCFile'42 */
extern OBJ _AGenerate_43(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ);OBJ __AGenerate_43; /* genCFile'43 */
extern OBJ _AGenerate_44(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ);OBJ __AGenerate_44; /* genCFile'44 */
extern OBJ _AGenerate_45(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ);OBJ __AGenerate_45; /* genCFile'45 */
extern OBJ _AGenerate_46(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ);OBJ __AGenerate_46; /* genCFile'46 */
extern OBJ _AGenerate_47(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ);OBJ __AGenerate_47; /* genCFile'47 */
extern OBJ _AGenerate_48(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ);OBJ __AGenerate_48; /* genCFile'48 */
extern OBJ _AGenerate_49(OBJ,OBJ,OBJ);OBJ __AGenerate_49; /* genCFile'49 */
extern OBJ _AGenerate_50(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ);OBJ __AGenerate_50; /* genCFile'50 */
extern OBJ _AGenerate_51(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ);OBJ __AGenerate_51; /* genCFile'51 */
extern OBJ _AGenerate_52(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ);OBJ __AGenerate_52; /* genCFile'52 */
extern OBJ _AGenerate_53(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ);OBJ __AGenerate_53; /* genCFile'53 */
extern OBJ _AGenerate_54(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ);OBJ __AGenerate_54; /* genCFile'54 */
extern OBJ _AGenerate_55(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ);OBJ __AGenerate_55; /* genCFile'55 */
extern OBJ _AGenerate_56(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ);OBJ __AGenerate_56; /* genHFile'56 */
OBJ __AGenerate_57; /* genHFile'57 */
extern OBJ _AGenerate_58(OBJ);OBJ __AGenerate_58; /* genHFile'58 */
extern OBJ _AGenerate_59(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ);OBJ __AGenerate_59; /* genHFile'59 */
extern OBJ _AGenerate_60(OBJ,OBJ,OBJ);OBJ __AGenerate_60; /* genHFile'60 */
extern OBJ _AGenerate_61(OBJ,OBJ,OBJ,OBJ,OBJ);OBJ __AGenerate_61; /* genHFile'61 */
extern OBJ _AGenerate_62(OBJ,OBJ,OBJ,OBJ,OBJ);OBJ __AGenerate_62; /* genHFile'62 */
extern OBJ _AGenerate_63(OBJ,OBJ,OBJ,OBJ,OBJ);OBJ __AGenerate_63; /* genHFile'63 */
extern OBJ _AGenerate_64(OBJ,OBJ,OBJ,OBJ,OBJ);OBJ __AGenerate_64; /* genHFile'64 */
extern OBJ _AGenerate_65(OBJ,OBJ,OBJ,OBJ);OBJ __AGenerate_65; /* genHFile'65 */
extern OBJ _AGenerate_66(OBJ);OBJ __AGenerate_66; /* genHcCFileTmpl'66 */
OBJ __AGenerate_67; /* genHcCFileTmpl'67 */
extern OBJ _AGenerate_68(OBJ,OBJ,OBJ);OBJ __AGenerate_68; /* genHcCFileTmpl'68 */
extern OBJ _AGenerate_69(OBJ,OBJ,OBJ,OBJ);OBJ __AGenerate_69; /* genHcCFileTmpl'69 */
extern OBJ _AGenerate_70(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ);OBJ __AGenerate_70; /* genHcCFileTmpl'70 */
extern OBJ _AGenerate_71(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ);OBJ __AGenerate_71; /* genHcCFileTmpl'71 */
extern OBJ _AGenerate_72(OBJ,OBJ,OBJ,OBJ,OBJ);OBJ __AGenerate_72; /* genHcCFileTmpl'72 */
extern OBJ _AGenerate_73(OBJ);OBJ __AGenerate_73; /* genHcHFileTmpl'73 */
extern OBJ _AGenerate_74(OBJ,OBJ,OBJ);OBJ __AGenerate_74; /* genHcHFileTmpl'74 */
OBJ __AGenerate_75; /* genHcHFileTmpl'75 */
extern OBJ _AGenerate_76(OBJ,OBJ,OBJ);OBJ __AGenerate_76; /* genHcHFileTmpl'76 */
OBJ __AGenerate_77; /* generate'77 */
extern OBJ _AGenerate_78(OBJ,OBJ);OBJ __AGenerate_78; /* generate'78 */
extern OBJ _AGenerate_79(OBJ,OBJ,OBJ,OBJ);OBJ __AGenerate_79; /* generate'79 */
extern OBJ _AGenerate_80(OBJ,OBJ,OBJ,OBJ,OBJ);OBJ __AGenerate_80; /* generate'80 */
extern OBJ _AGenerate_81(OBJ,OBJ,OBJ,OBJ,OBJ);OBJ __AGenerate_81; /* generate'81 */
extern OBJ _AGenerate_82(OBJ,OBJ);OBJ __AGenerate_82; /* generate'82 */
extern OBJ _AGenerate_83(OBJ,OBJ,OBJ,OBJ);OBJ __AGenerate_83; /* generate'83 */
extern OBJ _AGenerate_84(OBJ,OBJ);OBJ __AGenerate_84; /* generate'84 */
extern OBJ _AGenerate_85(OBJ,OBJ,OBJ,OBJ);OBJ __AGenerate_85; /* generate'85 */
OBJ __AGenerate_86; /* codingSchemeVersion'86 */

extern OBJ _AGenerate_1(OBJ x1,OBJ x2,OBJ x3) /* generate */
{OBJ r;
 {OBJ x4=FLD1(x1,1);
  CPPRD(x4,1);
  CPPRD(__AGenerate_77,1);
  CPCLS(__AGenerate_85,1);
  {OBJ x7;OBJ x8;OBJ x9;
   x7=x4;
   x8=_AOcVerbose_4(x7,__AOcVerbose_1,__AGenerate_77);
   x9=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ))METHOD(__AGenerate_85,3))(__AGenerate_85,x1,x2,x3);
   r=_AComCompose_5(x8,x9);}}
 return r;}

extern OBJ _AGenerate_4(OBJ x1,OBJ x2,OBJ x3,OBJ x4) /* genCFile */
{OBJ r;
 {OBJ x5=FLD1(x1,1);
  CPPRD(x5,1);
  CPPRD(x1,1);
  CPPRD(x3,1);
  CPCLS(__AGenerate_39,1);
  CPCLS(__AGenerate_55,1);
  {OBJ x8;OBJ x9;OBJ x10;OBJ x11;OBJ x12;OBJ x13;
   x8=x5;
   CPPRD(x8,2);
   x9=_AOcOptions_24(x8);
   x10=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(__AGenerate_39,2))(__AGenerate_39,x1,x3);
   x11=_AOcStream_1(x8,x9);
   x12=_ASeqReduce_3(x10,__ASeq_6,x4);
   x13=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ))METHOD(__AGenerate_55,5))(__AGenerate_55,x1,x2,x3,x12,x8);
   r=_AComCompose_5(x11,x13);}}
 return r;}

extern OBJ _AGenerate_5(OBJ x1) /* anyMod */
{OBJ r;
 FRPRD(x1,1);
 r=__ABUILTIN_5;
 return r;}

extern OBJ _AGenerate_6(OBJ x1,OBJ x2,OBJ x3,OBJ x4,OBJ x5) /* footer */
{OBJ r;
 CPCLS(__AGenerate_27,1);
 CPCLS(__AGenerate_29,1);
 CPPRD(x1,2);
 {OBJ x6;OBJ x7;OBJ x8;OBJ x9;
  x6=_ACalcEvalMethods_1(x1,x3);
  COPY(x6,1);
  x7=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(__AGenerate_27,2))(__AGenerate_27,x1,x2);
  x8=_AComSeqReduce_4(x7,__AVoid_2,x6);
  x9=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ))METHOD(__AGenerate_29,5))(__AGenerate_29,x1,x2,x4,x5,x6);
  r=_AComCompose_5(x8,x9);}
 return r;}

extern OBJ _AGenerate_7(OBJ x1,OBJ x2,OBJ x3) /* methods */
{OBJ r;
 CPCLS(__AGenerate_27,1);
 {OBJ x4;
  x4=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(__AGenerate_27,2))(__AGenerate_27,x1,x2);
  r=_AComSeqReduce_4(x4,__AVoid_2,x3);}
 return r;}

extern OBJ _AGenerate_8(OBJ x1,OBJ x2,OBJ x3) /* decs */
{OBJ r;
 CPCLS(__AGenerate_12,1);
 CPCLS(__AGenerate_30,1);
 CPCLS(__AGenerate_31,1);
 CPPRD(x3,1);
 {OBJ x4;OBJ x5;OBJ x6;
  x4=_AIcFun_3(__AGenerate_12,x3);
  x5=_ASeqSort_2(__AGenerate_30,x4);
  x6=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ))METHOD(__AGenerate_31,3))(__AGenerate_31,x1,x2,x3);
  r=_AComSeqReduce_4(x6,__AVoid_2,x5);}
 return r;}

extern OBJ _AGenerate_9(OBJ x1,OBJ x2,OBJ x3,OBJ x4,OBJ x5) /* externDecs */
{OBJ r;
 {OBJ x40=FLD1(x4,3);
  switch(TGPRM(x40)){
   case 1:
    FRPRD(x3,1);
    CPPRD(x1,1);
    {OBJ x44;
     x44=_AGenObj_15(x1,x4);
     {OBJ x45=FLD1(x1,1);
      if(EXPRD(x1,1)){
       FLD1(x1,1)=NIL;DSPRD(x1);
      }else{
       CPPRD(x45,1);
       FRPRD(x1,1);}
      r=_ABoxedText_20(x45,x2,x44);}}break;
   case 0:
    CPCLS(__AGenerate_12,1);
    CPCLS(__AGenerate_30,1);
    CPCLS(__AGenerate_34,1);
    {OBJ x48;OBJ x49;OBJ x50;
     x48=_AIcFun_3(__AGenerate_12,x4);
     x49=_ASeqSort_2(__AGenerate_30,x48);
     x50=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ))METHOD(__AGenerate_34,3))(__AGenerate_34,x1,x2,x3);
     r=_AComSeqReduce_4(x50,__AVoid_2,x49);}break;
   default: 
    FRPRD(x1,1);
    FRPRD(x3,1);
    if(EXPRD(x4,1)){
     DSPRD(x4);
    }else{
     DCPRD(x4,1);}
    CPCLS(__AGenerate_33,1);
    {OBJ x43;
     x43=(*(OBJ(*)(OBJ,OBJ))METHOD(__AGenerate_33,1))(__AGenerate_33,__ABUILTIN_20);
     PRD(2,0,r);FLD(r,1)=x43;FLD(r,2)=__ASeq_6;}}}
 return r;}

extern OBJ _AGenerate_10(OBJ x1,OBJ x2,OBJ x3,OBJ x4) /* procs */
{OBJ r;
 CPCLS(__AGenerate_30,1);
 CPCLS(__AGenerate_36,1);
 CPPRD(x4,1);
 {OBJ x5;OBJ x6;OBJ x7;
  x5=_AIcFun_3(x3,x4);
  x6=_ASeqSort_2(__AGenerate_30,x5);
  x7=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ))METHOD(__AGenerate_36,3))(__AGenerate_36,x1,x2,x4);
  r=_AComSeqReduce_4(x7,__AVoid_2,x6);}
 return r;}

extern OBJ _AGenerate_11(OBJ x1,OBJ x2,OBJ x3,OBJ x4) /* constaux */
{OBJ r;
 CPCLS(__AGenerate_30,1);
 CPCLS(__AGenerate_38,1);
 CPPRD(x4,1);
 {OBJ x5;OBJ x6;OBJ x7;
  x5=_AIcFun_3(x3,x4);
  x6=_ASeqSort_2(__AGenerate_30,x5);
  x7=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ))METHOD(__AGenerate_38,3))(__AGenerate_38,x1,x2,x4);
  r=_AComSeqReduce_4(x7,__AVoid_2,x6);}
 return r;}

extern OBJ _AGenerate_12(OBJ x1) /* anyObj */
{OBJ r;
 FRPRD(x1,1);
 r=__ABUILTIN_5;
 return r;}

extern OBJ _AGenerate_13(OBJ x1) /* implementedProc? */
{OBJ r;
 if(ISTGPRD(x1,2)){
  {OBJ x47=FLD(x1,7);
   if(EXPRD(x1,1)){
    FLD(x1,7)=NIL;DSPRD(x1);
   }else{
    COPY(x47,1);
    FRPRD(x1,1);}
   r=_AGenerate_16(x47);}
 }else{
  FRPRD(x1,1);
  r=__ABUILTIN_3;}
 return r;}

extern OBJ _AGenerate_14(OBJ x1) /* unimplementedProc? */
{OBJ r;
 if(ISTGPRD(x1,2)){
  {OBJ x24=FLD(x1,7);
   if(EXPRD(x1,1)){
    FLD(x1,7)=NIL;DSPRD(x1);
   }else{
    COPY(x24,1);
    FRPRD(x1,1);}
   {OBJ x25;
    x25=_AGenerate_16(x24);
    if(ISTGPRM(x25,1)){
     r=__ABUILTIN_3;
    }else{
     r=__ABUILTIN_5;}}}
 }else{
  FRPRD(x1,1);
  r=__ABUILTIN_3;}
 return r;}

extern OBJ _AGenerate_15(OBJ x1) /* implementedConst? */
{OBJ r;
 if(ISTGPRD(x1,3)){
  {OBJ x18=FLD(x1,5);
   if(EXPRD(x1,1)){
    FLD(x1,5)=NIL;DSPRD(x1);
   }else{
    COPY(x18,1);
    FRPRD(x1,1);}
   r=_AGenerate_17(x18);}
 }else{
  FRPRD(x1,1);
  r=__ABUILTIN_3;}
 return r;}

extern OBJ _AGenerate_16(OBJ x1) /* noStrictHalt */
{OBJ r;
 if(ISPRD(x1)&&(ISTGPRD(x1,2))){
  if(EXPRD(x1,1)){
   FRPRD(FLD(x1,1),1);DSPRDF(x1);
  }else{
   DCPRD(x1,1);}
  r=__ABUILTIN_3;
 }else{
  if(ISPRD(x1)&&(ISTGPRD(x1,13))){
   {OBJ x21=FLD(x1,2);
    if(EXPRD(x1,1)){
     FREE(FLD(x1,1),1);DSPRDF(x1);
    }else{
     COPY(x21,1);
     FRPRD(x1,1);}
    CPCLS(__AGenerate_16,1);
    r=_ASeq_42(__AGenerate_16,x21);}
  }else{
   FREE(x1,1);
   r=__ABUILTIN_5;}}
 return r;}

extern OBJ _AGenerate_17(OBJ x1) /* noStrictHaltOrWarn */
{OBJ r;
 if(ISPRD(x1)&&(ISTGPRD(x1,3)||ISTGPRD(x1,2))){
  if(EXPRD(x1,1)){
   DSPRD(x1);
  }else{
   DCPRD(x1,1);}
  r=__ABUILTIN_3;
 }else{
  if(ISPRD(x1)&&(ISTGPRD(x1,13))){
   {OBJ x28=FLD(x1,2);
    if(EXPRD(x1,1)){
     FREE(FLD(x1,1),1);DSPRDF(x1);
    }else{
     COPY(x28,1);
     FRPRD(x1,1);}
    CPCLS(__AGenerate_17,1);
    r=_ASeq_42(__AGenerate_17,x28);}
  }else{
   FREE(x1,1);
   r=__ABUILTIN_5;}}
 return r;}

extern OBJ _AGenerate_18(OBJ x1) /* sortById */
{OBJ r;
 CPCLS(__AGenerate_30,1);
 r=_ASeqSort_2(__AGenerate_30,x1);
 return r;}

extern OBJ _AGenerate_19(OBJ x1,OBJ x2) /* genHFile */
{OBJ r;
 {OBJ x3=FLD1(x1,1);
  CPPRD(x3,1);
  CPCLS(__AGenerate_65,1);
  {OBJ x6;OBJ x7;OBJ x8;OBJ x9;
   x6=x3;
   CPPRD(x6,2);
   x7=_AOcOptions_25(x6);
   x8=_AOcStream_1(x6,x7);
   x9=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ))METHOD(__AGenerate_65,3))(__AGenerate_65,x1,x2,x6);
   r=_AComCompose_5(x8,x9);}}
 return r;}

extern OBJ _AGenerate_20(OBJ x1,OBJ x2,OBJ x3) /* genHcCFileTmpl */
{OBJ r;
 {OBJ x4=FLD1(x1,1);
  CPPRD(x4,1);
  CPCLS(__AGenerate_72,1);
  {OBJ x7;OBJ x8;OBJ x9;OBJ x10;
   x7=x4;
   CPPRD(x7,2);
   x8=_AOcOptions_26(x7);
   x9=_AOcStream_1(x7,x8);
   x10=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ,OBJ))METHOD(__AGenerate_72,4))(__AGenerate_72,x1,x2,x3,x7);
   r=_AComCompose_5(x9,x10);}}
 return r;}

extern OBJ _AGenerate_21(OBJ x1,OBJ x2) /* genHcHFileTmpl */
{OBJ r;
 FRPRD(x2,1);
 {OBJ x3=FLD1(x1,1);
  CPPRD(x3,1);
  CPCLS(__AGenerate_76,1);
  {OBJ x6;OBJ x7;OBJ x8;OBJ x9;
   x6=x3;
   CPPRD(x6,2);
   x7=_AOcOptions_27(x6);
   x8=_AOcStream_1(x6,x7);
   x9=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(__AGenerate_76,2))(__AGenerate_76,x1,x6);
   r=_AComCompose_5(x8,x9);}}
 return r;}

extern OBJ _AGenerate_22(OBJ x1) /* anyExternal? */
{OBJ r;
 {OBJ x2;
  x2=_AIc_28(x1);
  if(ISTGPRM(x2,0)){
   r=__ABUILTIN_5;
  }else{
   r=__ABUILTIN_3;}}
 return r;}

extern OBJ _AGenerate_23(OBJ x1) /* anyInternal? */
{OBJ r;
 {OBJ x2;
  x2=_AIc_28(x1);
  if(ISTGPRM(x2,1)){
   r=__ABUILTIN_5;
  }else{
   r=__ABUILTIN_3;}}
 return r;}

extern OBJ _AGenerate_24(OBJ x1) /* anyExternalProc? */
{OBJ r;
 if(ISTGPRD(x1,2)){
  {OBJ x18;
   x18=_AIc_28(x1);
   if(ISTGPRM(x18,0)){
    r=__ABUILTIN_5;
   }else{
    r=__ABUILTIN_3;}}
 }else{
  FRPRD(x1,1);
  r=__ABUILTIN_3;}
 return r;}

extern OBJ _AGenerate_25(OBJ x1) /* anyInternalProc? */
{OBJ r;
 if(ISTGPRD(x1,2)){
  {OBJ x18;
   x18=_AIc_28(x1);
   if(ISTGPRM(x18,1)){
    r=__ABUILTIN_5;
   }else{
    r=__ABUILTIN_3;}}
 }else{
  FRPRD(x1,1);
  r=__ABUILTIN_3;}
 return r;}

extern OBJ _AGenerate_26(OBJ x1,OBJ x2) /* close */
{OBJ r;
 {OBJ x3=FLD1(x1,1);
  if(EXPRD(x1,1)){
   FLD1(x1,1)=NIL;DSPRD(x1);
  }else{
   CPPRD(x3,1);
   FRPRD(x1,1);}
  {OBJ x6;OBJ x7;OBJ x8;
   x6=x3;
   CPPRD(x6,1);
   x7=_AOcStream_4(x6,x2,__AChar_7);
   x8=_AOcStream_3(x6,x2);
   r=_AComCompose_6(x7,x8);}}
 return r;}

extern OBJ _AGenerate_27(OBJ x1,OBJ x2,OBJ x3,OBJ x4) /* methods'27 */
{OBJ r;
 CPPRD(x1,1);
 {OBJ x9;
  x9=_AGenEvalMethod_1(x1,x3);
  {OBJ x5=FLD1(x1,1);
   if(EXPRD(x1,1)){
    FLD1(x1,1)=NIL;DSPRD(x1);
   }else{
    CPPRD(x5,1);
    FRPRD(x1,1);}
   {OBJ x8;
    x8=x5;
    r=_ABoxedText_20(x8,x2,x9);}}}
 return r;}

extern OBJ _AGenerate_28(OBJ x1,OBJ x2,OBJ x3) /* footer'28 */
{OBJ r;
 CPPRD(__AMacros_196,1);
 r=_ABoxedText_20(x2,x1,__AMacros_196);
 return r;}

extern OBJ _AGenerate_29(OBJ x1,OBJ x2,OBJ x3,OBJ x4,OBJ x5,OBJ x6) /* footer'29 */
{OBJ r;
 {OBJ x7=FLD1(x1,1);
  CPPRD(x7,1);
  CPCLS(__AGenerate_28,1);
  {OBJ x10;OBJ x11;OBJ x12;OBJ x13;
   x10=x7;
   CPPRD(x10,1);
   x11=_AGenObj_8(x1,x3,x5,x4);
   x12=_ABoxedText_20(x10,x2,x11);
   x13=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(__AGenerate_28,2))(__AGenerate_28,x2,x10);
   r=_AComCompose_5(x12,x13);}}
 return r;}

extern OBJ _AGenerate_30(OBJ x1,OBJ x2) /* sortById'30 */
{OBJ r;
 {OBJ x3;OBJ x4;
  x3=_AIc_30(x1);
  x4=_AIc_30(x2);
  r=_AIde_14(x3,x4);}
 return r;}

extern OBJ _AGenerate_31(OBJ x1,OBJ x2,OBJ x3,OBJ x4,OBJ x5) /* decs'31 */
{OBJ r;
 CPPRD(x1,1);
 {OBJ x10;
  x10=_AGenObj_1(x1,x3,x4);
  {OBJ x6=FLD1(x1,1);
   if(EXPRD(x1,1)){
    FLD1(x1,1)=NIL;DSPRD(x1);
   }else{
    CPPRD(x6,1);
    FRPRD(x1,1);}
   {OBJ x9;
    x9=x6;
    r=_ABoxedText_20(x9,x2,x10);}}}
 return r;}

extern OBJ _AGenerate_33(OBJ x1) /* externDecs'33 */
{OBJ r;
 CPPRD(__AGenerate_32,1);
 CPCLS(__ACom_47,1);
 r=(*(OBJ(*)(OBJ,OBJ))METHOD(__ACom_47,1))(__ACom_47,__AGenerate_32);
 return r;}

extern OBJ _AGenerate_34(OBJ x1,OBJ x2,OBJ x3,OBJ x4,OBJ x5) /* externDecs'34 */
{OBJ r;
 CPPRD(x1,1);
 {OBJ x10;
  x10=_AGenObj_2(x1,x3,x4);
  {OBJ x6=FLD1(x1,1);
   if(EXPRD(x1,1)){
    FLD1(x1,1)=NIL;DSPRD(x1);
   }else{
    CPPRD(x6,1);
    FRPRD(x1,1);}
   {OBJ x9;
    x9=x6;
    r=_ABoxedText_20(x9,x2,x10);}}}
 return r;}

extern OBJ _AGenerate_35(OBJ x1,OBJ x2,OBJ x3,OBJ x4,OBJ x5,OBJ x6) /* procs'35 */
{OBJ r;
 {OBJ x7;
  x7=_AGenObj_5(x1,x3,x4);
  r=_ABoxedText_20(x5,x2,x7);}
 return r;}

extern OBJ _AGenerate_36(OBJ x1,OBJ x2,OBJ x3,OBJ x4,OBJ x5) /* procs'36 */
{OBJ r;
 CPPRD(x4,1);
 {OBJ x10;
  x10=_AIc_27(x4);
  {OBJ x6=FLD1(x1,1);
   CPPRD(x6,1);
   CPCLS(__AGenerate_35,1);
   {OBJ x9;OBJ x11;OBJ x12;
    x9=x6;
    CPPRD(x9,1);
    x11=_AOcVerbose_4(x9,__AOcVerbose_3,x10);
    x12=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ))METHOD(__AGenerate_35,5))(__AGenerate_35,x1,x2,x3,x4,x9);
    r=_AComCompose_5(x11,x12);}}}
 return r;}

extern OBJ _AGenerate_37(OBJ x1,OBJ x2,OBJ x3,OBJ x4,OBJ x5,OBJ x6) /* constaux'37 */
{OBJ r;
 {OBJ x7;
  x7=_AGenObj_7(x1,x3,x4);
  r=_ABoxedText_20(x5,x2,x7);}
 return r;}

extern OBJ _AGenerate_38(OBJ x1,OBJ x2,OBJ x3,OBJ x4,OBJ x5) /* constaux'38 */
{OBJ r;
 CPPRD(x4,1);
 {OBJ x10;
  x10=_AIc_27(x4);
  {OBJ x6=FLD1(x1,1);
   CPPRD(x6,1);
   CPCLS(__AGenerate_37,1);
   {OBJ x9;OBJ x11;OBJ x12;
    x9=x6;
    CPPRD(x9,1);
    x11=_AOcVerbose_4(x9,__AOcVerbose_3,x10);
    x12=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ))METHOD(__AGenerate_37,5))(__AGenerate_37,x1,x2,x3,x4,x9);
    r=_AComCompose_5(x11,x12);}}}
 return r;}

extern OBJ _AGenerate_39(OBJ x1,OBJ x2,OBJ x3,OBJ x4) /* genCFile'39 */
{OBJ r;
 {
  PRD1(2,r);FLD1(r,2)=x4;
  FLD1(r,1)=_AGenObj_6(x1,x2,x3);}
 return r;}

extern OBJ _AGenerate_40(OBJ x1,OBJ x2,OBJ x3,OBJ x4,OBJ x5,OBJ x6) /* genCFile'40 */
{OBJ r;
 {OBJ x7;
  x7=_AGenObj_3(x1,x2,x5);
  r=_ABoxedText_20(x3,x4,x7);}
 return r;}

extern OBJ _AGenerate_41(OBJ x1,OBJ x2,OBJ x3) /* genCFile'41 */
{OBJ r;
 r=_AGenerate_26(x1,x2);
 return r;}

extern OBJ _AGenerate_42(OBJ x1,OBJ x2,OBJ x3,OBJ x4,OBJ x5,OBJ x6) /* genCFile'42 */
{OBJ r;
 CPCLS(__AGenerate_41,1);
 CPPRD(x1,1);
 COPY(x4,1);
 {OBJ x7;OBJ x8;
  x7=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(__AGenerate_41,2))(__AGenerate_41,x1,x4);
  x8=_AGenerate_6(x1,x4,x2,x3,x5);
  r=_AComCompose_5(x8,x7);}
 return r;}

extern OBJ _AGenerate_43(OBJ x1,OBJ x2,OBJ x3,OBJ x4,OBJ x5,OBJ x6) /* genCFile'43 */
{OBJ r;
 CPCLS(__AGenerate_15,1);
 CPCLS(__AGenerate_42,1);
 CPPRD(x1,1);
 CPPRD(x3,1);
 COPY(x4,1);
 {OBJ x7;OBJ x8;
  x7=_AGenerate_11(x1,x4,__AGenerate_15,x3);
  x8=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ))METHOD(__AGenerate_42,5))(__AGenerate_42,x1,x2,x3,x4,x5);
  r=_AComCompose_5(x7,x8);}
 return r;}

extern OBJ _AGenerate_44(OBJ x1,OBJ x2,OBJ x3,OBJ x4,OBJ x5,OBJ x6) /* genCFile'44 */
{OBJ r;
 CPCLS(__AGenerate_13,1);
 CPCLS(__AGenerate_43,1);
 CPPRD(x1,1);
 CPPRD(x3,1);
 COPY(x4,1);
 {OBJ x7;OBJ x8;
  x7=_AGenerate_10(x1,x4,__AGenerate_13,x3);
  x8=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ))METHOD(__AGenerate_43,5))(__AGenerate_43,x1,x2,x3,x4,x5);
  r=_AComCompose_5(x7,x8);}
 return r;}

extern OBJ _AGenerate_45(OBJ x1,OBJ x2,OBJ x3,OBJ x4,OBJ x5,OBJ x6,OBJ x7) /* genCFile'45 */
{OBJ r;
 CPCLS(__AGenerate_44,1);
 CPPRD(x1,1);
 CPPRD(x3,1);
 COPY(x5,1);
 {OBJ x8;OBJ x9;OBJ x10;
  x8=_AGenObj_16(x1,x3);
  x9=_ABoxedText_20(x4,x5,x8);
  x10=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ))METHOD(__AGenerate_44,5))(__AGenerate_44,x1,x2,x3,x5,x6);
  r=_AComCompose_5(x9,x10);}
 return r;}

extern OBJ _AGenerate_46(OBJ x1,OBJ x2,OBJ x3,OBJ x4,OBJ x5,OBJ x6,OBJ x7) /* genCFile'46 */
{OBJ r;
 CPCLS(__AGenerate_45,1);
 CPPRD(x1,1);
 CPPRD(x3,1);
 COPY(x5,1);
 {OBJ x8;OBJ x9;
  x8=_AGenerate_8(x1,x5,x3);
  x9=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ))METHOD(__AGenerate_45,6))(__AGenerate_45,x1,x2,x3,x4,x5,x6);
  r=_AComCompose_5(x8,x9);}
 return r;}

extern OBJ _AGenerate_47(OBJ x1,OBJ x2,OBJ x3,OBJ x4,OBJ x5,OBJ x6,OBJ x7) /* genCFile'47 */
{OBJ r;
 CPCLS(__AGenerate_23,1);
 CPCLS(__AGenerate_40,1);
 CPCLS(__AGenerate_46,1);
 CPPRD(x1,1);
 CPPRD(x3,2);
 CPPRD(x4,1);
 COPY(x5,1);
 {OBJ x8;OBJ x9;OBJ x10;OBJ x11;
  x8=_AIcFun_3(__AGenerate_23,x3);
  x9=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ,OBJ))METHOD(__AGenerate_40,4))(__AGenerate_40,x1,x3,x4,x5);
  x10=_AComSeqReduce_4(x9,__AVoid_2,x8);
  x11=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ))METHOD(__AGenerate_46,6))(__AGenerate_46,x1,x2,x3,x4,x5,x6);
  r=_AComCompose_5(x10,x11);}
 return r;}

extern OBJ _AGenerate_48(OBJ x1,OBJ x2,OBJ x3,OBJ x4,OBJ x5,OBJ x6,OBJ x7) /* genCFile'48 */
{OBJ r;
 CPCLS(__AGenerate_47,1);
 CPPRD(x1,1);
 CPPRD(x3,1);
 CPPRD(x4,1);
 COPY(x5,1);
 {OBJ x8;OBJ x9;OBJ x10;
  x8=_AGenObj_15(x1,x3);
  x9=_ABoxedText_20(x4,x5,x8);
  x10=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ))METHOD(__AGenerate_47,6))(__AGenerate_47,x1,x2,x3,x4,x5,x6);
  r=_AComCompose_5(x9,x10);}
 return r;}

extern OBJ _AGenerate_49(OBJ x1,OBJ x2,OBJ x3) /* genCFile'49 */
{OBJ r;
 r=_AGenerate_26(x1,x2);
 return r;}

extern OBJ _AGenerate_50(OBJ x1,OBJ x2,OBJ x3,OBJ x4,OBJ x5,OBJ x6) /* genCFile'50 */
{OBJ r;
 CPCLS(__AGenerate_49,1);
 CPPRD(x1,1);
 COPY(x5,1);
 {OBJ x7;OBJ x8;
  x7=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(__AGenerate_49,2))(__AGenerate_49,x1,x5);
  x8=_AGenerate_6(x1,x5,x2,x3,x4);
  r=_AComCompose_5(x8,x7);}
 return r;}

extern OBJ _AGenerate_51(OBJ x1,OBJ x2,OBJ x3,OBJ x4,OBJ x5,OBJ x6) /* genCFile'51 */
{OBJ r;
 CPCLS(__AGenerate_50,1);
 CPCLS(__AIc_32,1);
 CPPRD(x1,1);
 CPPRD(x3,1);
 COPY(x5,1);
 {OBJ x7;OBJ x8;
  x7=_AGenerate_11(x1,x5,__AIc_32,x3);
  x8=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ))METHOD(__AGenerate_50,5))(__AGenerate_50,x1,x2,x3,x4,x5);
  r=_AComCompose_5(x7,x8);}
 return r;}

extern OBJ _AGenerate_52(OBJ x1,OBJ x2,OBJ x3,OBJ x4,OBJ x5,OBJ x6) /* genCFile'52 */
{OBJ r;
 CPCLS(__AGenerate_51,1);
 CPCLS(__AIc_39,1);
 CPPRD(x1,1);
 CPPRD(x3,1);
 COPY(x5,1);
 {OBJ x7;OBJ x8;
  x7=_AGenerate_10(x1,x5,__AIc_39,x3);
  x8=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ))METHOD(__AGenerate_51,5))(__AGenerate_51,x1,x2,x3,x4,x5);
  r=_AComCompose_5(x7,x8);}
 return r;}

extern OBJ _AGenerate_53(OBJ x1,OBJ x2,OBJ x3,OBJ x4,OBJ x5,OBJ x6) /* genCFile'53 */
{OBJ r;
 CPCLS(__AGenerate_52,1);
 CPPRD(x1,1);
 CPPRD(x3,1);
 COPY(x5,1);
 {OBJ x7;OBJ x8;
  x7=_AGenerate_8(x1,x5,x3);
  x8=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ))METHOD(__AGenerate_52,5))(__AGenerate_52,x1,x2,x3,x4,x5);
  r=_AComCompose_5(x7,x8);}
 return r;}

extern OBJ _AGenerate_54(OBJ x1,OBJ x2,OBJ x3,OBJ x4,OBJ x5,OBJ x6,OBJ x7) /* genCFile'54 */
{OBJ r;
 CPCLS(__AGenerate_5,1);
 CPCLS(__AGenerate_9,1);
 CPPRD(x1,2);
 CPPRD(x3,2);
 COPY(x6,1);
 {OBJ x8;OBJ x9;OBJ x10;OBJ x11;
  x8=_APreparedOptions_27(x1);
  x9=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ))METHOD(__AGenerate_9,3))(__AGenerate_9,x1,x6,x3);
  x10=_AIcFun_4(__AGenerate_5,x3);
  x11=_AComSeqReduce_4(x9,__AVoid_2,x10);
  if(ISTGPRM(x8,1)){
   CPPRD(x1,1);
   CPPRD(x3,1);
   CPCLS(__AGenerate_48,1);
   {OBJ x12;OBJ x13;OBJ x14;
    x12=_AGenObj_9(x1,x3);
    PRD1(2,x13);FLD1(x13,1)=x12;FLD1(x13,2)=x4;
    x14=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ))METHOD(__AGenerate_48,6))(__AGenerate_48,x1,x2,x3,x5,x6,x13);
    r=_AComCompose_5(x11,x14);}
  }else{
   FRPRD(x5,1);
   CPCLS(__AGenerate_53,1);
   {OBJ x15;
    x15=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ))METHOD(__AGenerate_53,5))(__AGenerate_53,x1,x2,x3,x4,x6);
    r=_AComCompose_5(x11,x15);}}}
 return r;}

extern OBJ _AGenerate_55(OBJ x1,OBJ x2,OBJ x3,OBJ x4,OBJ x5,OBJ x6) /* genCFile'55 */
{OBJ r;
 CPCLS(__AGenerate_54,1);
 CPPRD(x1,1);
 CPPRD(x3,1);
 CPPRD(x5,1);
 {OBJ x7;OBJ x8;OBJ x9;
  x7=_AGenObj_11(x1,x3);
  x8=_ABoxedText_20(x5,x6,x7);
  x9=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ))METHOD(__AGenerate_54,6))(__AGenerate_54,x1,x2,x3,x4,x5,x6);
  r=_AComCompose_5(x8,x9);}
 return r;}

extern OBJ _AGenerate_56(OBJ x1,OBJ x2,OBJ x3,OBJ x4,OBJ x5,OBJ x6) /* genHFile'56 */
{OBJ r;
 {OBJ x7;
  x7=_AGenObj_3(x1,x2,x5);
  r=_ABoxedText_20(x3,x4,x7);}
 return r;}

extern OBJ _AGenerate_58(OBJ x1) /* genHFile'58 */
{OBJ r;
 CPPRD(__AGenerate_57,1);
 CPCLS(__ACom_47,1);
 r=(*(OBJ(*)(OBJ,OBJ))METHOD(__ACom_47,1))(__ACom_47,__AGenerate_57);
 return r;}

extern OBJ _AGenerate_59(OBJ x1,OBJ x2,OBJ x3,OBJ x4,OBJ x5,OBJ x6) /* genHFile'59 */
{OBJ r;
 {OBJ x7;
  x7=_AGenObj_4(x1,x2,x5);
  r=_ABoxedText_20(x3,x4,x7);}
 return r;}

extern OBJ _AGenerate_60(OBJ x1,OBJ x2,OBJ x3) /* genHFile'60 */
{OBJ r;
 r=_AGenerate_26(x1,x2);
 return r;}

extern OBJ _AGenerate_61(OBJ x1,OBJ x2,OBJ x3,OBJ x4,OBJ x5) /* genHFile'61 */
{OBJ r;
 CPCLS(__AGenerate_60,1);
 CPPRD(x1,1);
 COPY(x4,1);
 {OBJ x6;OBJ x7;OBJ x8;
  x6=_AGenObj_14(x1,x2);
  x7=_ABoxedText_20(x3,x4,x6);
  x8=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(__AGenerate_60,2))(__AGenerate_60,x1,x4);
  r=_AComCompose_5(x7,x8);}
 return r;}

extern OBJ _AGenerate_62(OBJ x1,OBJ x2,OBJ x3,OBJ x4,OBJ x5) /* genHFile'62 */
{OBJ r;
 CPCLS(__AGenerate_30,1);
 CPCLS(__AGenerate_59,1);
 CPCLS(__AGenerate_61,1);
 CPCLS(__AIc_39,1);
 CPPRD(x1,1);
 CPPRD(x2,2);
 CPPRD(x3,1);
 COPY(x4,1);
 {OBJ x6;OBJ x7;OBJ x8;OBJ x9;OBJ x10;
  x6=_AIcFun_3(__AIc_39,x2);
  x7=_ASeqSort_2(__AGenerate_30,x6);
  x8=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ,OBJ))METHOD(__AGenerate_59,4))(__AGenerate_59,x1,x2,x3,x4);
  x9=_AComSeqReduce_4(x8,__AVoid_2,x7);
  x10=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ,OBJ))METHOD(__AGenerate_61,4))(__AGenerate_61,x1,x2,x3,x4);
  r=_AComCompose_5(x9,x10);}
 return r;}

extern OBJ _AGenerate_63(OBJ x1,OBJ x2,OBJ x3,OBJ x4,OBJ x5) /* genHFile'63 */
{OBJ r;
 CPPRD(x1,1);
 {OBJ x6;OBJ x9;OBJ x10;
  x6=_APreparedOptions_27(x1);
  if(ISTGPRM(x6,1)){
   CPPRD(x1,1);
   CPPRD(x2,1);
   CPPRD(x3,1);
   COPY(x4,1);
   CPCLS(__AGenerate_62,1);
   {OBJ x7;
    x7=_AGenObj_17(x1,x2);
    x9=_ABoxedText_20(x3,x4,x7);}
  }else{
   CPCLS(__AGenerate_58,1);
   CPCLS(__AGenerate_62,1);
   {OBJ x8;
    x8=(*(OBJ(*)(OBJ,OBJ))METHOD(__AGenerate_58,1))(__AGenerate_58,__ABUILTIN_20);
    PRD(2,0,x9);FLD(x9,1)=x8;FLD(x9,2)=__ASeq_6;}}
  x10=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ,OBJ))METHOD(__AGenerate_62,4))(__AGenerate_62,x1,x2,x3,x4);
  r=_AComCompose_5(x9,x10);}
 return r;}

extern OBJ _AGenerate_64(OBJ x1,OBJ x2,OBJ x3,OBJ x4,OBJ x5) /* genHFile'64 */
{OBJ r;
 CPCLS(__AGenerate_22,1);
 CPCLS(__AGenerate_30,1);
 CPCLS(__AGenerate_56,1);
 CPCLS(__AGenerate_63,1);
 CPPRD(x1,1);
 CPPRD(x2,2);
 CPPRD(x3,1);
 COPY(x4,1);
 {OBJ x6;OBJ x7;OBJ x8;OBJ x9;OBJ x10;
  x6=_AIcFun_3(__AGenerate_22,x2);
  x7=_ASeqSort_2(__AGenerate_30,x6);
  x8=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ,OBJ))METHOD(__AGenerate_56,4))(__AGenerate_56,x1,x2,x3,x4);
  x9=_AComSeqReduce_4(x8,__AVoid_2,x7);
  x10=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ,OBJ))METHOD(__AGenerate_63,4))(__AGenerate_63,x1,x2,x3,x4);
  r=_AComCompose_5(x9,x10);}
 return r;}

extern OBJ _AGenerate_65(OBJ x1,OBJ x2,OBJ x3,OBJ x4) /* genHFile'65 */
{OBJ r;
 CPCLS(__AGenerate_64,1);
 CPPRD(x1,1);
 CPPRD(x2,1);
 CPPRD(x3,1);
 {OBJ x5;OBJ x6;OBJ x7;
  x5=_AGenObj_13(x1,x2);
  x6=_ABoxedText_20(x3,x4,x5);
  x7=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ,OBJ))METHOD(__AGenerate_64,4))(__AGenerate_64,x1,x2,x3,x4);
  r=_AComCompose_5(x6,x7);}
 return r;}

extern OBJ _AGenerate_66(OBJ x1) /* genHcCFileTmpl'66 */
{OBJ r;
 COPY(__AGenerate_2,1);
 r=_ABTUnion_34(__AGenerate_2);
 return r;}

extern OBJ _AGenerate_68(OBJ x1,OBJ x2,OBJ x3) /* genHcCFileTmpl'68 */
{OBJ r;
 r=_AGenerate_26(x1,x2);
 return r;}

extern OBJ _AGenerate_69(OBJ x1,OBJ x2,OBJ x3,OBJ x4) /* genHcCFileTmpl'69 */
{OBJ r;
 {
  PRD1(2,r);FLD1(r,2)=x4;
  FLD1(r,1)=_AGenObj_6(x1,x2,x3);}
 return r;}

extern OBJ _AGenerate_70(OBJ x1,OBJ x2,OBJ x3,OBJ x4,OBJ x5,OBJ x6) /* genHcCFileTmpl'70 */
{OBJ r;
 CPCLS(__AGenerate_68,1);
 CPCLS(__AGenerate_69,1);
 CPPRD(x1,2);
 CPPRD(x2,1);
 COPY(x5,1);
 {OBJ x7;OBJ x8;OBJ x9;OBJ x10;OBJ x11;
  x7=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(__AGenerate_68,2))(__AGenerate_68,x1,x5);
  x8=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(__AGenerate_69,2))(__AGenerate_69,x1,x2);
  x9=_ASeqReduce_3(x8,__ASeq_6,x3);
  x10=_AGenObj_10(x1,x2,x9);
  x11=_ABoxedText_20(x4,x5,x10);
  r=_AComCompose_5(x11,x7);}
 return r;}

extern OBJ _AGenerate_71(OBJ x1,OBJ x2,OBJ x3,OBJ x4,OBJ x5,OBJ x6) /* genHcCFileTmpl'71 */
{OBJ r;
 CPCLS(__AGenerate_14,1);
 CPCLS(__AGenerate_70,1);
 CPPRD(x1,1);
 CPPRD(x2,1);
 COPY(x5,1);
 {OBJ x7;OBJ x8;
  x7=_AGenerate_10(x1,x5,__AGenerate_14,x2);
  x8=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ))METHOD(__AGenerate_70,5))(__AGenerate_70,x1,x2,x3,x4,x5);
  r=_AComCompose_5(x7,x8);}
 return r;}

extern OBJ _AGenerate_72(OBJ x1,OBJ x2,OBJ x3,OBJ x4,OBJ x5) /* genHcCFileTmpl'72 */
{OBJ r;
 CPCLS(__AGenerate_66,1);
 CPPRD(__AGenerate_67,1);
 CPCLS(__AGenerate_71,1);
 CPPRD(x4,2);
 {OBJ x6;OBJ x7;OBJ x8;OBJ x9;OBJ x10;OBJ x11;OBJ x12;
  x6=(*(OBJ(*)(OBJ,OBJ))METHOD(__AGenerate_66,1))(__AGenerate_66,__ABUILTIN_20);
  x7=_AOcOptions_4(x4);
  x8=_AString_49(x7);
  x9=_ABTUnion_27(x8,x6);
  x10=_AStringFormat_1(__AGenerate_67,x9);
  x11=_AOcStream_6(x4,x5,x10);
  x12=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ))METHOD(__AGenerate_71,5))(__AGenerate_71,x1,x2,x3,x4,x5);
  r=_AComCompose_5(x11,x12);}
 return r;}

extern OBJ _AGenerate_73(OBJ x1) /* genHcHFileTmpl'73 */
{OBJ r;
 COPY(__AGenerate_2,1);
 r=_ABTUnion_34(__AGenerate_2);
 return r;}

extern OBJ _AGenerate_74(OBJ x1,OBJ x2,OBJ x3) /* genHcHFileTmpl'74 */
{OBJ r;
 r=_AGenerate_26(x1,x2);
 return r;}

extern OBJ _AGenerate_76(OBJ x1,OBJ x2,OBJ x3) /* genHcHFileTmpl'76 */
{OBJ r;
 CPCLS(__AGenerate_73,1);
 CPCLS(__AGenerate_74,1);
 CPPRD(__AGenerate_75,1);
 CPPRD(x2,1);
 {OBJ x4;OBJ x5;OBJ x6;OBJ x7;OBJ x8;OBJ x9;OBJ x10;
  x4=(*(OBJ(*)(OBJ,OBJ))METHOD(__AGenerate_73,1))(__AGenerate_73,__ABUILTIN_20);
  x5=_AOcOptions_4(x2);
  x6=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(__AGenerate_74,2))(__AGenerate_74,x1,x3);
  x7=_AString_49(x5);
  x8=_ABTUnion_27(x7,x4);
  x9=_AStringFormat_1(__AGenerate_75,x8);
  x10=_AOcStream_6(x2,x3,x9);
  r=_AComCompose_5(x10,x6);}
 return r;}

extern OBJ _AGenerate_78(OBJ x1,OBJ x2) /* generate'78 */
{OBJ r;
 CPCLS(__ACom_47,1);
 {OBJ x3;OBJ x4;
  PRD(1,0,x3);FLD(x3,1)=x1;
  x4=(*(OBJ(*)(OBJ,OBJ))METHOD(__ACom_47,1))(__ACom_47,x3);
  PRD(2,0,r);FLD(r,1)=x4;FLD(r,2)=__ASeq_6;}
 return r;}

extern OBJ _AGenerate_79(OBJ x1,OBJ x2,OBJ x3,OBJ x4) /* generate'79 */
{OBJ r;
 CPCLS(__AGenerate_78,1);
 {OBJ x5;OBJ x6;
  x5=_AGenerate_21(x1,x2);
  x6=(*(OBJ(*)(OBJ,OBJ))METHOD(__AGenerate_78,1))(__AGenerate_78,x3);
  r=_AComCompose_5(x5,x6);}
 return r;}

extern OBJ _AGenerate_80(OBJ x1,OBJ x2,OBJ x3,OBJ x4,OBJ x5) /* generate'80 */
{OBJ r;
 CPCLS(__AGenerate_79,1);
 CPPRD(x1,1);
 CPPRD(x2,1);
 {OBJ x6;OBJ x7;
  x6=_AGenerate_20(x1,x2,x4);
  x7=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ))METHOD(__AGenerate_79,3))(__AGenerate_79,x1,x2,x3);
  r=_AComCompose_5(x6,x7);}
 return r;}

extern OBJ _AGenerate_81(OBJ x1,OBJ x2,OBJ x3,OBJ x4,OBJ x5) /* generate'81 */
{OBJ r;
 CPCLS(__AGenerate_80,1);
 CPPRD(x1,1);
 CPPRD(x2,1);
 {OBJ x6;OBJ x7;
  x6=_AGenerate_19(x1,x2);
  x7=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ,OBJ))METHOD(__AGenerate_80,4))(__AGenerate_80,x1,x2,x3,x4);
  r=_AComCompose_5(x6,x7);}
 return r;}

extern OBJ _AGenerate_82(OBJ x1,OBJ x2) /* generate'82 */
{OBJ r;
 CPCLS(__ACom_47,1);
 {OBJ x3;OBJ x4;
  PRD(1,0,x3);FLD(x3,1)=x1;
  x4=(*(OBJ(*)(OBJ,OBJ))METHOD(__ACom_47,1))(__ACom_47,x3);
  PRD(2,0,r);FLD(r,1)=x4;FLD(r,2)=__ASeq_6;}
 return r;}

extern OBJ _AGenerate_83(OBJ x1,OBJ x2,OBJ x3,OBJ x4) /* generate'83 */
{OBJ r;
 CPCLS(__AGenerate_82,1);
 {OBJ x5;OBJ x6;
  x5=_AGenerate_19(x1,x2);
  x6=(*(OBJ(*)(OBJ,OBJ))METHOD(__AGenerate_82,1))(__AGenerate_82,x3);
  r=_AComCompose_5(x5,x6);}
 return r;}

extern OBJ _AGenerate_84(OBJ x1,OBJ x2) /* generate'84 */
{OBJ r;
 CPCLS(__ACom_47,1);
 {OBJ x3;OBJ x4;
  PRD(1,0,x3);FLD(x3,1)=x1;
  x4=(*(OBJ(*)(OBJ,OBJ))METHOD(__ACom_47,1))(__ACom_47,x3);
  PRD(2,0,r);FLD(r,1)=x4;FLD(r,2)=__ASeq_6;}
 return r;}

extern OBJ _AGenerate_85(OBJ x1,OBJ x2,OBJ x3,OBJ x4) /* generate'85 */
{OBJ r;
 CPPRD(x1,2);
 CPPRD(x3,1);
 {OBJ x6;TUP2 x7;
  x6=_APreparedOptions_27(x1);
  x7=_AInitOrder_1(x1,x3);
  if(ISTGPRM(x6,1)){
   CPPRD(x1,1);
   CPPRD(x3,1);
   CPCLS(__AGenerate_15,1);
   CPCLS(__AGenerate_81,1);
   {TUP2 x10;OBJ x12;OBJ x13;
    x10=_ASeqFilter_5(__AGenerate_15,x7.c2);
    x12=_AGenerate_4(x1,x2,x3,x10.c1);
    x13=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ,OBJ))METHOD(__AGenerate_81,4))(__AGenerate_81,x1,x3,x7.c1,x10.c2);
    r=_AComCompose_5(x12,x13);}
  }else{
   CPPRD(x1,2);
   CPPRD(x3,1);
   {OBJ x14;OBJ x15;
    x14=_APreparedOptions_26(x1);
    x15=_AGenerate_4(x1,x2,x3,x7.c2);
    if(ISTGPRM(x14,1)){
     CPCLS(__AGenerate_83,1);
     {OBJ x16;
      x16=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ))METHOD(__AGenerate_83,3))(__AGenerate_83,x1,x3,x7.c1);
      r=_AComCompose_5(x15,x16);}
    }else{
     FRPRD(x1,1);
     FRPRD(x3,1);
     CPCLS(__AGenerate_84,1);
     {OBJ x17;
      x17=(*(OBJ(*)(OBJ,OBJ))METHOD(__AGenerate_84,1))(__AGenerate_84,x7.c1);
      r=_AComCompose_5(x15,x17);}}}}}
 return r;}




static OBJ _mt_6_0_4(OBJ t,OBJ t1,OBJ t2,OBJ t3,OBJ t4) 
{OBJ r;
 DPCLS(t,r);
 INCCLS(r,0,4);
 FLDCLS(r,1)=t1;
 FLDCLS(r,2)=t2;
 FLDCLS(r,3)=t3;
 FLDCLS(r,4)=t4;
 return r;}

static OBJ _mt_6_0_5(OBJ t,OBJ t1,OBJ t2,OBJ t3,OBJ t4,OBJ t5) 
{OBJ r;
 DPCLS(t,r);
 INCCLS(r,0,5);
 FLDCLS(r,1)=t1;
 FLDCLS(r,2)=t2;
 FLDCLS(r,3)=t3;
 FLDCLS(r,4)=t4;
 FLDCLS(r,5)=t5;
 return r;}

static OBJ _mt_6_4_2(OBJ t,OBJ t1,OBJ t2) 
{OBJ r;
 if(EXCLS(t)){
  DSCLSF(t);
 }else{
  COPY(FLDCLS(t,1),1);
  COPY(FLDCLS(t,2),1);
  COPY(FLDCLS(t,3),1);
  COPY(FLDCLS(t,4),1);
  DCCLS(t,1);}
 r=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ))ENTRY(t))(FLDCLS(t,1),FLDCLS(t,2),FLDCLS(t,3),FLDCLS(t,4),t1,t2);
 return r;}

static OBJ _mt_6_5_1(OBJ t,OBJ t1) 
{OBJ r;
 if(EXCLS(t)){
  DSCLSF(t);
 }else{
  COPY(FLDCLS(t,1),1);
  COPY(FLDCLS(t,2),1);
  COPY(FLDCLS(t,3),1);
  COPY(FLDCLS(t,4),1);
  COPY(FLDCLS(t,5),1);
  DCCLS(t,1);}
 r=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ))ENTRY(t))(FLDCLS(t,1),FLDCLS(t,2),FLDCLS(t,3),FLDCLS(t,4),FLDCLS(t,5),t1);
 return r;}
static OBJ _mt_6_5_1_l(OBJ t,OBJ t1) 
{OBJ r;
 r=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ))ENTRY(t))(FLDCLS(t,1),FLDCLS(t,2),FLDCLS(t,3),FLDCLS(t,4),FLDCLS(t,5),t1);
 if(EXCLS(t)){
  DSCLSF(t);
 }else{
  DCCLS(t,1);
  FLDCLS(t,1)=NIL;FLDCLS(t,2)=NIL;FLDCLS(t,3)=NIL;FLDCLS(t,4)=NIL;FLDCLS(t,5)=NIL;
  COPY(r,1);LZYCLS(t,r);}
 return r;}

static OBJ _mt_7_0_6(OBJ t,OBJ t1,OBJ t2,OBJ t3,OBJ t4,OBJ t5,OBJ t6) 
{OBJ r;
 DPCLS(t,r);
 INCCLS(r,0,6);
 FLDCLS(r,1)=t1;
 FLDCLS(r,2)=t2;
 FLDCLS(r,3)=t3;
 FLDCLS(r,4)=t4;
 FLDCLS(r,5)=t5;
 FLDCLS(r,6)=t6;
 return r;}

static OBJ _mt_7_6_1(OBJ t,OBJ t1) 
{OBJ r;
 if(EXCLS(t)){
  DSCLSF(t);
 }else{
  COPY(FLDCLS(t,1),1);
  COPY(FLDCLS(t,2),1);
  COPY(FLDCLS(t,3),1);
  COPY(FLDCLS(t,4),1);
  COPY(FLDCLS(t,5),1);
  COPY(FLDCLS(t,6),1);
  DCCLS(t,1);}
 r=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ))ENTRY(t))(FLDCLS(t,1),FLDCLS(t,2),FLDCLS(t,3),FLDCLS(t,4),FLDCLS(t,5),FLDCLS(t,6),t1);
 return r;}
static OBJ _mt_7_6_1_l(OBJ t,OBJ t1) 
{OBJ r;
 r=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ))ENTRY(t))(FLDCLS(t,1),FLDCLS(t,2),FLDCLS(t,3),FLDCLS(t,4),FLDCLS(t,5),FLDCLS(t,6),t1);
 if(EXCLS(t)){
  DSCLSF(t);
 }else{
  DCCLS(t,1);
  FLDCLS(t,1)=NIL;FLDCLS(t,2)=NIL;FLDCLS(t,3)=NIL;FLDCLS(t,4)=NIL;FLDCLS(t,5)=NIL;FLDCLS(t,6)=NIL;
  COPY(r,1);LZYCLS(t,r);}
 return r;}

init_AGenerate()
{
 static int visited=0; if(visited) return; visited=1;
 init_AOcPos();
 init_ADenotation();
 init_AStringFormat();
 init_ABTUnion();
 init_ACom();
 init_ACompose();
 init_AOcError();
 init_AOcStream();
 init_APreparedOptions();
 init_AComCompose();
 init_AAc();
 init_AComSeqReduce();
 init_AIc();
 init_ASeqMap();
 init_ANat();
 init_ASeqReduce();
 init_ASeq();
 init_ASeqFilter();
 init_ASet();
 init_ASeqSort();
 init_ANatMap();
 init_ATriple();
 init_AIde();
 init_AOcVerbose();
 init_AStore();
 init_AIcFun();
 init_ASourceAn();
 init_ABuiltin();
 init_AOption();
 init_ABoxedText();
 init_AFormat();
 init_AGenObj();
 init_AString();
 init_AInitOrder();
 init_AStream();
 init_ACalcEvalMethods();
 init_AVoid();
 init_AGenEvalMethod();
 init_AFmt();
 init_AReal();
 init_AChar();
 init_ABitset();
 init_AFile();
 init_AMap();
 init_AInt();
 init_ASetByBST();
 init_APair();
 init_ABSTree();
 init_AAn();
 init_ATree();
 init_ATypeAn();
 init_AArray();
 init_AOptimAn();
 init_AMacros();
 init_ATransAn();
 init_ARecAna();
 init_APragmaAn();
 init_AIdeSet();
 init_AIdeMap();
 init_AMapReduce();
 init_AOcOptions();
 CLS(5,_AGenerate_63,__AGenerate_63);
 CLS(5,_AGenerate_31,__AGenerate_31);
 CLS(5,_AGenerate_62,__AGenerate_62);
 CLS(2,_AGenerate_30,__AGenerate_30);
 CLS(5,_AGenerate_61,__AGenerate_61);
 CLS(6,_AGenerate_29,__AGenerate_29);
 CLS(3,_AGenerate_60,__AGenerate_60);
 CLS(3,_AGenerate_28,__AGenerate_28);
 CLS(6,_AGenerate_59,__AGenerate_59);
 CLS(4,_AGenerate_27,__AGenerate_27);
 LCLS(1,_AGenerate_58,__AGenerate_58);
 CLS(2,_AGenerate_26,__AGenerate_26);
 CLS(1,_AGenerate_25,__AGenerate_25);
 CLS(6,_AGenerate_56,__AGenerate_56);
 CLS(1,_AGenerate_24,__AGenerate_24);
 CLS(6,_AGenerate_55,__AGenerate_55);
 CLS(1,_AGenerate_23,__AGenerate_23);
 DEN("acc-2.1",__AGenerate_86);
 CLS(1,_AGenerate_22,__AGenerate_22);
 CLS(7,_AGenerate_54,__AGenerate_54);
 CLS(4,_AGenerate_85,__AGenerate_85);
 CLS(2,_AGenerate_21,__AGenerate_21);
 CLS(6,_AGenerate_53,__AGenerate_53);
 CLS(2,_AGenerate_84,__AGenerate_84);
 CLS(3,_AGenerate_20,__AGenerate_20);
 CLS(6,_AGenerate_52,__AGenerate_52);
 CLS(4,_AGenerate_83,__AGenerate_83);
 CLS(2,_AGenerate_19,__AGenerate_19);
 CLS(6,_AGenerate_51,__AGenerate_51);
 CLS(2,_AGenerate_82,__AGenerate_82);
 CLS(1,_AGenerate_18,__AGenerate_18);
 CLS(6,_AGenerate_50,__AGenerate_50);
 CLS(5,_AGenerate_81,__AGenerate_81);
 CLS(1,_AGenerate_17,__AGenerate_17);
 CLS(3,_AGenerate_49,__AGenerate_49);
 CLS(5,_AGenerate_80,__AGenerate_80);
 CLS(1,_AGenerate_16,__AGenerate_16);
 CLS(7,_AGenerate_48,__AGenerate_48);
 CLS(4,_AGenerate_79,__AGenerate_79);
 CLS(1,_AGenerate_15,__AGenerate_15);
 CLS(7,_AGenerate_47,__AGenerate_47);
 CLS(2,_AGenerate_78,__AGenerate_78);
 CLS(1,_AGenerate_14,__AGenerate_14);
 CLS(7,_AGenerate_46,__AGenerate_46);
 DEN("translating to C ...",__AGenerate_77);
 CLS(1,_AGenerate_13,__AGenerate_13);
 CLS(7,_AGenerate_45,__AGenerate_45);
 CLS(3,_AGenerate_76,__AGenerate_76);
 CLS(1,_AGenerate_12,__AGenerate_12);
 CLS(6,_AGenerate_44,__AGenerate_44);
 DEN("/* hand-coded interface part of %s */\n/* coding scheme version %s */\n\n",__AGenerate_75);
 CLS(4,_AGenerate_11,__AGenerate_11);
 CLS(6,_AGenerate_43,__AGenerate_43);
 CLS(3,_AGenerate_74,__AGenerate_74);
 CLS(4,_AGenerate_10,__AGenerate_10);
 CLS(6,_AGenerate_42,__AGenerate_42);
 LCLS(1,_AGenerate_73,__AGenerate_73);
 CLS(5,_AGenerate_9,__AGenerate_9);
 CLS(3,_AGenerate_41,__AGenerate_41);
 CLS(5,_AGenerate_72,__AGenerate_72);
 CLS(3,_AGenerate_8,__AGenerate_8);
 CLS(6,_AGenerate_40,__AGenerate_40);
 CLS(6,_AGenerate_71,__AGenerate_71);
 CLS(3,_AGenerate_7,__AGenerate_7);
 CLS(4,_AGenerate_39,__AGenerate_39);
 CLS(6,_AGenerate_70,__AGenerate_70);
 CLS(5,_AGenerate_6,__AGenerate_6);
 CLS(5,_AGenerate_38,__AGenerate_38);
 CLS(4,_AGenerate_69,__AGenerate_69);
 CLS(1,_AGenerate_5,__AGenerate_5);
 CLS(6,_AGenerate_37,__AGenerate_37);
 CLS(3,_AGenerate_68,__AGenerate_68);
 CLS(4,_AGenerate_4,__AGenerate_4);
 CLS(5,_AGenerate_36,__AGenerate_36);
 DEN("/* hand-coded implementation part of %s */\n/* coding scheme version %s */\n\n",__AGenerate_67);
 CLS(6,_AGenerate_35,__AGenerate_35);
 LCLS(1,_AGenerate_66,__AGenerate_66);
 CLS(5,_AGenerate_34,__AGenerate_34);
 CLS(4,_AGenerate_65,__AGenerate_65);
 CLS(3,_AGenerate_1,__AGenerate_1);
 LCLS(1,_AGenerate_33,__AGenerate_33);
 CLS(5,_AGenerate_64,__AGenerate_64);
 MTH(6,0,4,_mt_6_0_4);LZYMTH(6,0,4,_mt_6_0_4);
 MTH(6,0,5,_mt_6_0_5);LZYMTH(6,0,5,_mt_6_0_5);
 MTH(6,4,2,_mt_6_4_2);LZYMTH(6,4,2,_mt_6_4_2);
 MTH(6,5,1,_mt_6_5_1);LZYMTH(6,5,1,_mt_6_5_1_l);
 MTH(7,0,6,_mt_7_0_6);LZYMTH(7,0,6,_mt_7_0_6);
 MTH(7,6,1,_mt_7_6_1);LZYMTH(7,6,1,_mt_7_6_1_l);
 CPPRD(__AGenerate_86,1);
 __AGenerate_2=_AString_49(__AGenerate_86);
 PRDF(1,0,__AGenerate_32);FLD(__AGenerate_32,1)=__AVoid_2;
 PRDF(1,0,__AGenerate_57);FLD(__AGenerate_57,1)=__AVoid_2;}

